package com.pj.ht_border_buy_goods_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_border_buy_goods_list -- 边民购买商品列表字段说明,主表ht_trade_settlement
 * @author yzs 
 */
@RestController
@RequestMapping("/HtBorderBuyGoodsList/")
public class HtBorderBuyGoodsListController {

	/** 底层 Service 对象 */
	@Autowired
	HtBorderBuyGoodsListService htBorderBuyGoodsListService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE_ADD)
	public AjaxJson add(HtBorderBuyGoodsList h){
		htBorderBuyGoodsListService.add(h);
		h = htBorderBuyGoodsListService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 htBorderBuyGoodsListService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(HtBorderBuyGoodsList.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtBorderBuyGoodsList h){
		htBorderBuyGoodsListService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		HtBorderBuyGoodsList h = htBorderBuyGoodsListService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtBorderBuyGoodsList.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtBorderBuyGoodsList> list = htBorderBuyGoodsListService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
